## mupen64plus-audio-sdl 1.99.4

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.4-3) unstable; urgency=low

  * Upload to unstable
  * debian/rules:
    - Mark all targets in debian/rules as phony
    - Force PIC using Makefile option
    - Remove unintended optimization flags
  * debian/patches:
    - Add rewrite_makefile.patch, Rewrite Makefile to fix flags and linking
    - Remove obsolete default-optimisations.patch, hurd_os.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:30 +0200

mupen64plus-audio-sdl (1.99.4-2) experimental; urgency=low

  * Upgraded to policy 3.9.2, no changes required
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Add multiarch support

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:50:34 +0200

mupen64plus-audio-sdl (1.99.4-1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Add hurd_os.patch, Add GNU/Hurd as operating system with "linux" userland
    - Rebase default-optimisations.patch against 1.99.4
    - Remove upstream merged patches: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, dejavu-font.patch, destdir.patch,
      dont-install-unneeded.patch, fix-7z-subfolder.patch,
      fix-desktop-file.patch, fix_r0_override.patch, fix_readpng.patch,
      ftbfs-debugger.patch, ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch, link_gdk.patch,
      load_aidacrate.patch, load_vistatus.patch, noexecstack.patch,
      optional_signinfo.patch, osd-pause-crash.patch, path_max.patch,
      pie_support.patch, plugin-searchpath.patch, remove-gln64.patch,
      remove-nondfsg-icons.patch, resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch, system-liblzma.patch,
      system-libpng.patch, system-zlib.patch, version-string.patch,
      xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format string
      vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it (Closes:
      #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system offers
      it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead indirectly
      through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200

mupen64plus (1.5+dfsg1-11) unstable; urgency=low

  * debian/patches:
    - Rename ftbfs-gvariant-type-conflicts.path to
      ftbfs-gvariant-type-conflicts.patch
    - Add rice-ati-symbols.patch, Allow to load rice on systems with missing
      opengl extensions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 May 2010 11:55:23 +0200

mupen64plus (1.5+dfsg1-10) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Add rsp_ucode2_reset.patch, Reset status of specific ucode2 hacks after
      starting again
    - Add rsp_hle_bigendian.patch, Fix wrong high level emulation of rsp on big
      endian systems
    - Add rice-crash-vendorstring.patch, Don't crash on long OpenGL vendor
      string (Closes: #580480, LP: #575968)

  [ Piotr Ożarowski ]
  * DMUA flag set to yes

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 May 2010 11:34:46 +0200

mupen64plus (1.5+dfsg1-9) unstable; urgency=low

  * debian/patches:
    - Add ftbfs-gvariant-type-conflicts.path, Fix FTBFS due to glib's gvariant.h
      type definitions (Closes: #577329)
    - Add dont-install-unneeded.patch, Don't install files which aren't used by
      us
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
    - Share options between dh_auto_build and dh_auto_install
  * debian/control:
    - Depend on debhelper 7.4.10 for --parallel and --list-missing

 -- Sven Eckelmann <sven@narfation.org>  Sun, 11 Apr 2010 12:23:04 +0200

mupen64plus (1.5+dfsg1-8) unstable; urgency=low

  * debian/patches:
    - Add rice_fog.patch, Reduce flickering when enabling fog in rice
    - Update fix_readpng.patch, Fix FTBFS with libpng14 and remove coding style
      only changes
  * Convert to 3.0 (quilt) source format
  * Remove outdated README.source
  * debian/control:

