=== debian/control ===
Source: mupen64plus-audio-sdl
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 hardening-includes,
 libmupen64plus-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 pkg-config,

Package: mupen64plus-audio-sdl
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-audio-abi-1,
Provides:
 mupen64plus-audio,
Description: sdl audio output plugin for mupen64plus
 Audio output plugin for mupen64plus which can be used with all audio devices
 which are supported by Simple DirectMedia Layer. It supports hardware volume
 control through oss mixer or application specific volume through SDL.

Package: mupen64plus-audio-sdl-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-audio-sdl (= ${binary:Version}),
Description: sdl audio output plugin for mupen64plus debug symbols package
 Audio output plugin for mupen64plus which can be used with all audio devices
 which are supported by Simple DirectMedia Layer. It supports hardware volume
 control through oss mixer or application specific volume through SDL.
 .
 This package contains the debug files.
