## mupen64plus-audio-sdl 1.99.4+27+7f357ca0893f

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.4+27+7f357ca0893f-1) experimental; urgency=low

  * New upstream snapshot from revision 7f357ca0893fde479dd1ba2308fef8ea4775a412
  * Remove unnecessary --as-needed from linker flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:36:28 +0100

mupen64plus-audio-sdl (1.99.4+23+a5074e99bdcc-1) experimental; urgency=low

  * New upstream snapshot from revision a5074e99bdcc24d43548ac3d9409bd7603b3b53b
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patches rewrite_makefile.patch
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:00:51 +0200

mupen64plus-audio-sdl (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsamplerate-dev as alternative build
      dependency
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:39 +0100
