=== debian/control ===
--- 
+++ 
@@ -11,10 +11,9 @@
 Build-Depends:
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- hardening-includes,
- libmupen64plus-dev,
- libsamplerate0-dev,
- libsdl1.2-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libsamplerate0-dev | libsamplerate-dev,
+ libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
 Package: mupen64plus-audio-sdl
@@ -25,7 +24,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- mupen64plus-audio-abi-1,
+ mupen64plus-audio-abi-2,
 Provides:
  mupen64plus-audio,
 Description: sdl audio output plugin for mupen64plus
