## mupen64plus-audio-sdl 1.99.5

=== debian/changelog ===
mupen64plus-audio-sdl (1.99.5-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:14:56 +0200

mupen64plus-audio-sdl (1.99.5-1) unstable; urgency=low

  * New Upstream Version
  * Update debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:18:34 +0100
