=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
 Build-Depends:
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
- libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
+ libmupen64plus-dev (>= 1.99.5),
  libsamplerate0-dev | libsamplerate-dev,
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
@@ -25,6 +25,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-audio-abi-2,
+ mupen64plus-config-abi-2.2,
 Provides:
  mupen64plus-audio,
 Description: sdl audio output plugin for mupen64plus
