=== debian/changelog ===
mupen64plus-audio-sdl (2.0-1build1) saucy; urgency=low

  * Rebuild against mupen64plus-core 2.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jul 2013 10:51:26 +0100

mupen64plus-audio-sdl (2.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/watch:
    - Verify new upstream versions using GPG key 954F81B094AA5BB226F5
  * debian/patches:
    - Remove upstream merged initialize_audiobuffer.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Jul 2013 22:51:56 +0200

mupen64plus-audio-sdl (2.0~rc2+1+ad849b6b7b69-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2
  * debian/patches:
    - Add initialize_audiobuffer.patch, Initialize audiobuffer before mixing it
      against our data

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:23:31 +0200

mupen64plus-audio-sdl (2.0~rc2+1+ad849b6b7b69-1) experimental; urgency=low

  * New Upstream Snapshot from ad849b6b7b695da1b164194a815589727bf80b56
  * Enable link-time optimization in debian/rules similar to upstream

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:24:37 +0200

mupen64plus-audio-sdl (1.99.5+24+691319870467-1) experimental; urgency=low

  * New Upstream Snapshot from 6913198704673d6912006a04693af9ba19a52328
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:15:03 +0100

mupen64plus-audio-sdl (1.99.5+10+c75faf4d38c4-1) experimental; urgency=low

  * New Upstream Snapshot from c75faf4d38c4e010a149649c191e4ec2face50f8
  * Remove obsolete DM-Upload-Allowed in debian/control
  * debian/patches:
    - Remove upstream merged disable_oss.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:31:39 +0100

mupen64plus-audio-sdl (1.99.5+7+d483528be393-1) experimental; urgency=low

  * New Upstream Snapshot from d483528be393d0f2cfe1b336c4203ce5fe98f912
  * Upgraded to policy 3.9.4, no changes required
  * debian/control:
    - Depend on libspeexdsp-dev for resampler

 -- Sven Eckelmann <sven@narfation.org>  Tue, 30 Oct 2012 19:07:07 +0100

mupen64plus-audio-sdl (1.99.5+4+761b386e52de-1) experimental; urgency=low

  * New Upstream Snapshot from 761b386e52de5619139138ece617f682c55227cb
  * debian/patches:
    - Add disable_oss.patch, Disable OSS support and use SDL instead

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Sep 2012 21:18:19 +0200

mupen64plus-audio-sdl (1.99.5+3+4b37353431b3-1) experimental; urgency=low

  * New Upstream Snapshot from 4b37353431b3cda6f042a6f60ec2b2142d0e9342

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Jun 2012 00:31:17 +0200
