=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-audio-sdl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-audio-sdl.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libmupen64plus-dev (>= 1.99.5),
  libsamplerate0-dev | libsamplerate-dev,
- libsdl1.2-dev | libsdl-dev,
+ libsdl2-dev,
+ libspeexdsp-dev,
  pkg-config,
 
 Package: mupen64plus-audio-sdl
@@ -28,6 +28,8 @@
  mupen64plus-config-abi-2.2,
 Provides:
  mupen64plus-audio,
+Breaks:
+ libmupen64plus2 (<< 2.0),
 Description: sdl audio output plugin for mupen64plus
  Audio output plugin for mupen64plus which can be used with all audio devices
  which are supported by Simple DirectMedia Layer. It supports hardware volume
